Package ghidra.trace.database.map

# Class DBTraceAddressSnapRangePropertyMapOcclusionIntoFutureIterable<T>

java.lang.Object
ghidra.trace.database.map.AbstractDBTraceAddressSnapRangePropertyMapOcclusionIterable<T>
ghidra.trace.database.map.DBTraceAddressSnapRangePropertyMapOcclusionIntoFutureIterable<T>

All Implemented Interfaces:
  `Iterable<Map.Entry<TraceAddressSnapRange,T>>`

public class DBTraceAddressSnapRangePropertyMapOcclusionIntoFutureIterable<T> extends AbstractDBTraceAddressSnapRangePropertyMapOcclusionIterable<T>

- ## Field Summary

  ### Fields inherited from class ghidra.trace.database.map.AbstractDBTraceAddressSnapRangePropertyMapOcclusionIterable

  `space, within`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DBTraceAddressSnapRangePropertyMapOcclusionIntoFutureIterable(DBTraceAddressSnapRangePropertyMapSpace<T,?> space, TraceAddressSnapRange within)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Lifespan`
  `getOcclusionRange(Lifespan range)`
  Get the vertical range where entries could exist that occlude the given vertical range
  `protected Rectangle2DDirection`
  `getVerticalDirection()`

  ### Methods inherited from class ghidra.trace.database.map.AbstractDBTraceAddressSnapRangePropertyMapOcclusionIterable

  `iterator`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### DBTraceAddressSnapRangePropertyMapOcclusionIntoFutureIterable

    public DBTraceAddressSnapRangePropertyMapOcclusionIntoFutureIterable(DBTraceAddressSnapRangePropertyMapSpace<T,?> space, TraceAddressSnapRange within)

- ## Method Details

  - ### getVerticalDirection

    protected Rectangle2DDirection getVerticalDirection()
    Specified by:
      `getVerticalDirection` in class `AbstractDBTraceAddressSnapRangePropertyMapOcclusionIterable<T>`

  - ### getOcclusionRange

    protected Lifespan getOcclusionRange(Lifespan range)
    Description copied from class: `AbstractDBTraceAddressSnapRangePropertyMapOcclusionIterable`
    Get the vertical range where entries could exist that occlude the given vertical range
    Specified by:
      `getOcclusionRange` in class `AbstractDBTraceAddressSnapRangePropertyMapOcclusionIterable<T>`
    Parameters:
      `range` - the given range
    Returns:
      the range possibly containing entries which occlude the given range